<?php

namespace Litecms\Email;

use DB;
use Illuminate\Database\Seeder;

class EmailsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('emails')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'email.emails.view',
                'name'      => 'View Emails',
            ],
            [
                'slug'      => 'email.emails.create',
                'name'      => 'Create Emails',
            ],
            [
                'slug'      => 'email.emails.edit',
                'name'      => 'Update Emails',
            ],
            [
                'slug'      => 'email.emails.delete',
                'name'      => 'Delete Emails',
            ],
            
            // Customize this permissions if needed.
            [
                'slug'      => 'email.emails.verify',
                'name'      => 'Verify Emails',
            ],
            [
                'slug'      => 'email.emails.approve',
                'name'      => 'Approve Emails',
            ],
            [
                'slug'      => 'email.emails.publish',
                'name'      => 'Publish Emails',
            ],
            [
                'slug'      => 'email.emails.unpublish',
                'name'      => 'Unpublish Emails',
            ],
            [
                'slug'      => 'email.emails.cancel',
                'name'      => 'Cancel Emails',
            ],
            [
                'slug'      => 'email.emails.archive',
                'name'      => 'Archive Emails',
            ],
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/email/emails',
                'name'        => 'Emails',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/email/emails',
                'name'        => 'Emails',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'emails',
                'name'        => 'Emails',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Email',
                'module'    => 'Emails',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'email.emails.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
