Lavalite package that provides email management facility for the cms.

## Installation

Begin by installing this package through Composer. Edit your project's `composer.json` file to require `litecms/email`.

    "litecms/email": "dev-master"

Next, update Composer from the Terminal:

    composer update

Once this operation completes execute below cammnds in command line to finalize installation.

    Litecms\Email\Providers\EmailServiceProvider::class,

And also add it to alias

    'Email'  => Litecms\Email\Facades\Email::class,

## Publishing files and migraiting database.

**Migration and seeds**

    php artisan migrate
    php artisan db:seed --class=Litecms\\EmailTableSeeder

**Publishing configuration**

    php artisan vendor:publish --provider="Litecms\Email\Providers\EmailServiceProvider" --tag="config"

**Publishing language**

    php artisan vendor:publish --provider="Litecms\Email\Providers\EmailServiceProvider" --tag="lang"

**Publishing views**

    php artisan vendor:publish --provider="Litecms\Email\Providers\EmailServiceProvider" --tag="view"


### Web Urls

**Admin**

    http://path-to-route-folder/admin/email/{modulename}

**User**

    http://path-to-route-folder/user/email/{modulename}

**Public**

    http://path-to-route-folder/emails


### API endpoints

**List**

    http://path-to-route-folder/api/user/email/{modulename}
    METHOD: GET

**Create**

    http://path-to-route-folder/api/user/email/{modulename}
    METHOD: POST

**Edit**

    http://path-to-route-folder/api/user/email/{modulename}/{id}
    METHOD: PUT

**Delete**

    http://path-to-route-folder/api/user/email/{modulename}/{id}
    METHOD: DELETE

**Public List**

    http://path-to-route-folder/api/email/{modulename}
    METHOD: GET

**Public Single**

    http://path-to-route-folder/api/email/{modulename}/{slug}
    METHOD: GET