<?php

namespace Litecms\Email;

use User;

class Email
{
    /**
     * $emails object.
     */
    protected $emails;

    /**
     * Constructor.
     */
    public function __construct(\Litecms\Email\Interfaces\EmailsRepositoryInterface $emails)
    {
        $this->emails = $emails;
    }

    /**
     * Returns count of email.
     *
     * @param array $filter
     *
     * @return int
     */
    public function count()
    {
        return  0;
    }

    /**
     * Make gadget View
     *
     * @param string $view
     *
     * @param int $count
     *
     * @return View
     */
    public function gadget($view = 'admin.emails.gadget', $count = 10)
    {

        if (User::hasRole('user')) {
            $this->emails->pushCriteria(new \Litepie\Litecms\Repositories\Criteria\EmailsUserCriteria());
        }

        $emails = $this->emails->scopeQuery(function ($query) use ($count) {
            return $query->orderBy('id', 'DESC')->take($count);
        })->all();

        return view('email::' . $view, compact('emails'))->render();
    }
}
